com.lowagie.text.pdf.codec.wmf

## Class MetaState

- java.lang.Object
- - com.lowagie.text.pdf.codec.wmf.MetaState

-     public class MetaState
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALTERNATE`
    `int` | `backgroundMode`
    `java.awt.Color` | `currentBackgroundColor`
    `MetaBrush` | `currentBrush`
    `MetaFont` | `currentFont`
    `MetaPen` | `currentPen`
    `java.awt.Point` | `currentPoint`
    `java.awt.Color` | `currentTextColor`
    `int` | `extentWx`
    `int` | `extentWy`
    `int` | `lineJoin`
    `java.util.ArrayList` | `MetaObjects`
    `int` | `offsetWx`
    `int` | `offsetWy`
    `static int` | `OPAQUE`
    `int` | `polyFillMode`
    `java.util.Stack` | `savedStates`
    `float` | `scalingX`
    `float` | `scalingY`
    `static int` | `TA_BASELINE`
    `static int` | `TA_BOTTOM`
    `static int` | `TA_CENTER`
    `static int` | `TA_LEFT`
    `static int` | `TA_NOUPDATECP`
    `static int` | `TA_RIGHT`
    `static int` | `TA_TOP`
    `static int` | `TA_UPDATECP`
    `int` | `textAlign`
    `static int` | `TRANSPARENT`
    `static int` | `WINDING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaState()` Creates new MetaState
    `MetaState(MetaState state)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMetaObject(MetaObject object)`
    `void` | `cleanup(PdfContentByte cb)`
    `void` | `deleteMetaObject(int index)`
    `int` | `getBackgroundMode()` Getter for property backgroundMode.
    `java.awt.Color` | `getCurrentBackgroundColor()` Getter for property currentBackgroundColor.
    `MetaBrush` | `getCurrentBrush()`
    `MetaFont` | `getCurrentFont()`
    `MetaPen` | `getCurrentPen()`
    `java.awt.Point` | `getCurrentPoint()`
    `java.awt.Color` | `getCurrentTextColor()` Getter for property currentTextColor.
    `boolean` | `getLineNeutral()`
    `int` | `getPolyFillMode()` Getter for property polyFillMode.
    `int` | `getTextAlign()` Getter for property textAlign.
    `void` | `restoreState(int index, PdfContentByte cb)`
    `void` | `saveState(PdfContentByte cb)`
    `void` | `selectMetaObject(int index, PdfContentByte cb)`
    `void` | `setBackgroundMode(int backgroundMode)` Setter for property backgroundMode.
    `void` | `setCurrentBackgroundColor(java.awt.Color currentBackgroundColor)` Setter for property currentBackgroundColor.
    `void` | `setCurrentPoint(java.awt.Point p)`
    `void` | `setCurrentTextColor(java.awt.Color currentTextColor)` Setter for property currentTextColor.
    `void` | `setExtentWx(int extentWx)`
    `void` | `setExtentWy(int extentWy)`
    `void` | `setLineJoinPolygon(PdfContentByte cb)`
    `void` | `setLineJoinRectangle(PdfContentByte cb)`
    `void` | `setMetaState(MetaState state)`
    `void` | `setOffsetWx(int offsetWx)`
    `void` | `setOffsetWy(int offsetWy)`
    `void` | `setPolyFillMode(int polyFillMode)` Setter for property polyFillMode.
    `void` | `setScalingX(float scalingX)`
    `void` | `setScalingY(float scalingY)`
    `void` | `setTextAlign(int textAlign)` Setter for property textAlign.
    `float` | `transformAngle(float angle)`
    `float` | `transformX(int x)`
    `float` | `transformY(int y)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TA_NOUPDATECP

          public static final int TA_NOUPDATECP

      See Also:
        Constant Field Values

    - #### TA_UPDATECP

          public static final int TA_UPDATECP

      See Also:
        Constant Field Values

    - #### TA_LEFT

          public static final int TA_LEFT

      See Also:
        Constant Field Values

    - #### TA_RIGHT

          public static final int TA_RIGHT

      See Also:
        Constant Field Values

    - #### TA_CENTER

          public static final int TA_CENTER

      See Also:
        Constant Field Values

    - #### TA_TOP

          public static final int TA_TOP

      See Also:
        Constant Field Values

    - #### TA_BOTTOM

          public static final int TA_BOTTOM

      See Also:
        Constant Field Values

    - #### TA_BASELINE

          public static final int TA_BASELINE

      See Also:
        Constant Field Values

    - #### TRANSPARENT

          public static final int TRANSPARENT

      See Also:
        Constant Field Values

    - #### OPAQUE

          public static final int OPAQUE

      See Also:
        Constant Field Values

    - #### ALTERNATE

          public static final int ALTERNATE

      See Also:
        Constant Field Values

    - #### WINDING

          public static final int WINDING

      See Also:
        Constant Field Values

    - #### savedStates

          public java.util.Stack savedStates

    - #### MetaObjects

          public java.util.ArrayList MetaObjects

    - #### currentPoint

          public java.awt.Point currentPoint

    - #### currentPen

          public MetaPen currentPen

    - #### currentBrush

          public MetaBrush currentBrush

    - #### currentFont

          public MetaFont currentFont

    - #### currentBackgroundColor

          public java.awt.Color currentBackgroundColor

    - #### currentTextColor

          public java.awt.Color currentTextColor

    - #### backgroundMode

          public int backgroundMode

    - #### polyFillMode

          public int polyFillMode

    - #### lineJoin

          public int lineJoin

    - #### textAlign

          public int textAlign

    - #### offsetWx

          public int offsetWx

    - #### offsetWy

          public int offsetWy

    - #### extentWx

          public int extentWx

    - #### extentWy

          public int extentWy

    - #### scalingX

          public float scalingX

    - #### scalingY

          public float scalingY

  - ### Constructor Detail

    - #### MetaState

          public MetaState()

      Creates new MetaState

    - #### MetaState

          public MetaState(MetaState state)

  - ### Method Detail

    - #### setMetaState

          public void setMetaState(MetaState state)

    - #### addMetaObject

          public void addMetaObject(MetaObject object)

    - #### selectMetaObject

          public void selectMetaObject(int index,
                              PdfContentByte cb)

    - #### deleteMetaObject

          public void deleteMetaObject(int index)

    - #### saveState

          public void saveState(PdfContentByte cb)

    - #### restoreState

          public void restoreState(int index,
                          PdfContentByte cb)

    - #### cleanup

          public void cleanup(PdfContentByte cb)

    - #### transformX

          public float transformX(int x)

    - #### transformY

          public float transformY(int y)

    - #### setScalingX

          public void setScalingX(float scalingX)

    - #### setScalingY

          public void setScalingY(float scalingY)

    - #### setOffsetWx

          public void setOffsetWx(int offsetWx)

    - #### setOffsetWy

          public void setOffsetWy(int offsetWy)

    - #### setExtentWx

          public void setExtentWx(int extentWx)

    - #### setExtentWy

          public void setExtentWy(int extentWy)

    - #### transformAngle

          public float transformAngle(float angle)

    - #### setCurrentPoint

          public void setCurrentPoint(java.awt.Point p)

    - #### getCurrentPoint

          public java.awt.Point getCurrentPoint()

    - #### getCurrentBrush

          public MetaBrush getCurrentBrush()

    - #### getCurrentPen

          public MetaPen getCurrentPen()

    - #### getCurrentFont

          public MetaFont getCurrentFont()

    - #### getCurrentBackgroundColor

          public java.awt.Color getCurrentBackgroundColor()

      Getter for property currentBackgroundColor.
      Returns:
        Value of property currentBackgroundColor.

    - #### setCurrentBackgroundColor

          public void setCurrentBackgroundColor(java.awt.Color currentBackgroundColor)

      Setter for property currentBackgroundColor.
      Parameters:
        `currentBackgroundColor` - New value of property currentBackgroundColor.

    - #### getCurrentTextColor

          public java.awt.Color getCurrentTextColor()

      Getter for property currentTextColor.
      Returns:
        Value of property currentTextColor.

    - #### setCurrentTextColor

          public void setCurrentTextColor(java.awt.Color currentTextColor)

      Setter for property currentTextColor.
      Parameters:
        `currentTextColor` - New value of property currentTextColor.

    - #### getBackgroundMode

          public int getBackgroundMode()

      Getter for property backgroundMode.
      Returns:
        Value of property backgroundMode.

    - #### setBackgroundMode

          public void setBackgroundMode(int backgroundMode)

      Setter for property backgroundMode.
      Parameters:
        `backgroundMode` - New value of property backgroundMode.

    - #### getTextAlign

          public int getTextAlign()

      Getter for property textAlign.
      Returns:
        Value of property textAlign.

    - #### setTextAlign

          public void setTextAlign(int textAlign)

      Setter for property textAlign.
      Parameters:
        `textAlign` - New value of property textAlign.

    - #### getPolyFillMode

          public int getPolyFillMode()

      Getter for property polyFillMode.
      Returns:
        Value of property polyFillMode.

    - #### setPolyFillMode

          public void setPolyFillMode(int polyFillMode)

      Setter for property polyFillMode.
      Parameters:
        `polyFillMode` - New value of property polyFillMode.

    - #### setLineJoinRectangle

          public void setLineJoinRectangle(PdfContentByte cb)

    - #### setLineJoinPolygon

          public void setLineJoinPolygon(PdfContentByte cb)

    - #### getLineNeutral

          public boolean getLineNeutral()